//
//  ViewController.m
//  省市区model
//
//  Created by 耿远风 on 17/7/13.
//  Copyright © 2017年 耿远风. All rights reserved.
//

#import "ViewController.h"
#import "addressModel.h"
#import <MJExtension.h>
#import <SDAutoLayout.h>
@interface ViewController ()<UIPickerViewDelegate,UIPickerViewDataSource>

{
    NSMutableArray *shengArray;
    NSMutableArray *shiArray;
    NSMutableArray *xianArray;
    
    UIPickerView *myPickerView;
    
    NSMutableDictionary *chooseDic;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor=[UIColor whiteColor];
    
    
    NSData *JSONData = [NSData dataWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"area" ofType:@"json"]];
    
    NSDictionary *dataDic = [NSJSONSerialization JSONObjectWithData:JSONData options:NSJSONReadingAllowFragments error:nil];
    
    NSMutableArray *dataArray=dataDic[@"result"][0][@"son"];
//    NSLog(@"%@",dataArray);
    
    shengArray=[NSMutableArray array];
    shiArray=[NSMutableArray array];
    xianArray=[NSMutableArray array];
    
    chooseDic=[NSMutableDictionary dictionary];
    
    //省数组
    shengArray=[addressModel mj_objectArrayWithKeyValuesArray:dataArray];
    //市数组，默认省数组第一个
    addressModel *model=shengArray[0];
    shiArray=[addressModel mj_objectArrayWithKeyValuesArray:model.son];
    
    //县数组，默认市数组第一个
    addressModel *model1=shiArray[0];
    xianArray=[addressModel mj_objectArrayWithKeyValuesArray:model1.son];
    addressModel *model2=xianArray[0];
    
    [chooseDic setValue:model.area_id forKey:@"sheng"];
    [chooseDic setValue:model.area_id forKey:@"shi"];
    [chooseDic setValue:model2.area_id forKey:@"xian"];
    
    
    // 选择框
    myPickerView = [[UIPickerView alloc] initWithFrame:CGRectMake(0, 100, self.view.width, 300)];
    // 显示选中框
    myPickerView.showsSelectionIndicator=YES;
    myPickerView.dataSource = self;
    myPickerView.delegate = self;
    [self.view addSubview:myPickerView];
}
#pragma Mark -- UIPickerViewDataSource
// pickerView 列数
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView {
    return 3;
}

// pickerView 每列个数
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component {
    if (component == 0) {
        return shengArray.count;
    }
    if (component==1) {
        return  shiArray.count;
    }
    if (component==2) {
        return xianArray.count;
    }
    
    return 0;
}
// 返回选中的行
- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
    NSLog(@"选中%ld列---%ld行",(long)component,(long)row);
    if (component==0) {
        addressModel *model=shengArray[row];
        shiArray=[addressModel mj_objectArrayWithKeyValuesArray:model.son];
        [pickerView reloadComponent:1];
        [pickerView selectRow:0 inComponent:1 animated:NO];
        //默认第一个
        addressModel *model1=shiArray[0];
        xianArray=[addressModel mj_objectArrayWithKeyValuesArray:model1.son];
        [pickerView reloadComponent:2];
        [pickerView selectRow:0 inComponent:2 animated:NO];
        addressModel *model2=xianArray[0];
        [chooseDic setValue:model.area_id forKey:@"sheng"];
        [chooseDic setValue:model1.area_id forKey:@"shi"];
        [chooseDic setValue:model2.area_id forKey:@"xian"];
    }
    if (component==1) {
        addressModel *model1=shiArray[row];
        xianArray=[addressModel mj_objectArrayWithKeyValuesArray:model1.son];
        [pickerView reloadComponent:2];
        [pickerView selectRow:0 inComponent:2 animated:NO];
        addressModel *model2=xianArray[0];
        [chooseDic setValue:model1.area_id forKey:@"shi"];
        [chooseDic setValue:model2.area_id forKey:@"xian"];
    }
    if (component==2) {
        addressModel *model2=xianArray[row];
        [chooseDic setValue:model2.area_id forKey:@"xian"];
    }
    NSLog(@"%@",chooseDic);
}

//返回当前行的内容,此处是将数组中数值添加到滚动的那个显示栏上
-(NSString*)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
    if (component==0) {
        addressModel *model=shengArray[row];
        return model.area_district;
    }
    if (component==1) {
        addressModel *model=shiArray[row];
        return model.area_district;
    }
    if (component==2) {
        addressModel *model=xianArray[row];
        return model.area_district;
    }
    return nil;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
